-- Simplified Aerodynamic Model by Helmo
-- mounting 3d model paths and texture paths 


Alphajet =  {
        
	Name 				=   'Alphajet',
	DisplayName			= _('Alphajet'),
	ViewSettings			= ViewSettings,
	
	HumanCockpit 		= false,
	HumanCockpitPath    = current_mod_path..'/Cockpit/',
	
	Picture 			= "Alphajet.png",
	Rate 				= 40, -- RewardPoint in Multiplayer
	Shape 				= "Alphajet",
	
	shape_table_data 	= 
	{
		{
			file  	 = 'Alphajet';
			life  	 = 18; -- lifebar
			vis   	 = 3;  -- visibility gain.
			desrt    = 'Alphajet-destr'; -- Name of destroyed object file name Alphajet-destr
			fire  	 = { 300, 3}; -- Fire on the ground after destoyed: 300sec 2m
			username = 'Alphajet';
			index    =  WSTYPE_PLACEHOLDER;
		},
		{
			name  = "Alphajet-destr";
			file  = "Alphajet-destr";
			fire  = { 240, 2};  -- 240  2
		},

	},
	
	-- add model draw args for network transmitting to this draw_args table (32 limit)
	net_animation ={38, -- canopy
					0, -- gear
					3,
					5,
					9,
					10, 
					11, -- aileron
					15, -- stabilizer
					20,  -- flaps
					21, -- air brake
					7, -- rat
					13, -- prop slow
					14, -- prop fast
					130 -- Nose Light
					},
					
	mapclasskey 		= "P0091000025",
	attribute  			= {wsType_Air, wsType_Airplane, wsType_Fighter, WSTYPE_PLACEHOLDER ,"Battleplanes",},
	Categories 			= {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},	
	-------------------------
	M_empty 					= 3340, -- kg
	M_nominal 					= 4707, -- kg
	M_max 						= 5785, -- kg
	M_fuel_max 					= 1549, -- kg --
	H_max 					 	= 12800, -- m
	average_fuel_consumption 	= 0.4, -- this is highly relative, but good estimates are 36-40l/min = 28-31kg/min = 0.47-0.52kg/s -- 45l/min = 35kg/min = 0.583kg/s
	CAS_min 					= 50, -- if this is not OVERAL FLIGHT TIME, but jus LOITER TIME, than it should be 10-15 minutes.....CAS capability in minute (for AI)
	V_opt 						= 300,-- Cruise speed (for AI)
	V_take_off 					= 57, -- Take off speed in m/s (for AI)
	V_land 						= 51, -- Land speed in m/s (for AI)
	V_max_sea_level 			= 283, -- Max speed at sea level in m/s (for AI)
	V_max_h 					= 334, -- Max speed at max altitude in m/s (for AI)
	Vy_max 						= 31, -- Max climb speed in m/s (for AI)
	Mach_max 					= 0.95, -- Max speed in Mach (for AI)
	Ny_min						= -3,
	-- Ny_min_e					=	-3,
	Ny_max						= 7.5,
	Ny_max_e 					= 7.5,  -- Max G (for AI)
	AOA_take_off 				= 0.22, -- AoA in take off (for AI)
	stores_number				= 5,
	bank_angle_max 				= 85, -- Max bank angle (for AI)


	has_afteburner 				= false, -- AFB yes/no
	has_speedbrake 				= true, -- Speedbrake yes/no
	
	nose_gear_pos 				= {  3.76,	-2.05,	0.10}, -- nosegear coord 
	nose_gear_amortizer_direct_stroke    =  1.60 - 1.60,  -- down from nose_gear_pos !!!
	nose_gear_amortizer_reversal_stroke  =  1.60 - 1.60,  -- up
	nose_gear_amortizer_normal_weight_stroke = -0.100,
	
	main_gear_pos 				= { -0.973,	-2.05,	1.27}, -- main gear coords -0.973,	-1.72,	1.27  forward, Height, y -172
	main_gear_amortizer_direct_stroke	 =  1.370 - 1.370, --  down from main_gear_pos !!!
	main_gear_amortizer_reversal_stroke  = 	1.270 - 1.370, --  up 
	main_gear_amortizer_normal_weight_stroke = -0.200,  -- bouge du .196 au .200
	
	tand_gear_max 				= 0.4,   -- 0.4
	
	tanker_type 				= 0, -- Tanker type if the plane is airrefuel capable
	wing_area 					= 17.5, -- wing area in m2
	wing_span 					= 9.114, -- wing span in m
	wing_type 					= 0,
	thrust_sum_max 				= 2860, -- thrust in kg (26.4kN) --no effects
	thrust_sum_ab 				= 2860, -- thrust in kg (xxkN) --no effects
	length 						= 11.847, -- full lenght in m
	height 						= 4.19, -- height in m
	flaps_maneuver 				= 0.5, -- Max flaps in take-off and maneuver (0.5 = 1st stage; 1.0 = 2nd stage) (for AI)
	range 						= 1230, -- Max range in km (for AI)
	RCS 						= 2.14, -- Radar Cross Section m2
	IR_emission_coeff 			= 0.62, -- Normal engine -- IR_emission_coeff = 1 is Su-27 without afterburner. It is reference.
	IR_emission_coeff_ab 		= 0.62, -- With afterburner
	wing_tip_pos 				= {-2.70,	-0.15, -4.55}, -- wingtip coords for visual effects{-2.65,	-0.15, -4.60}
	nose_gear_wheel_diameter 	= 0.400, -- in m
	main_gear_wheel_diameter 	= 0.588, -- in m
	brakeshute_name 			= 3, -- Landing - brake chute visual shape after separation
	is_tanker 					= false, -- Tanker yes/no
	air_refuel_receptacle_pos 	= {0, 0, 0}, -- refuel coords
	engines_count				= 2, -- Engines count
	engines_nozzles = {
		[1] = 
		{
			pos 		=  {-3.28,	-0.427,	0.6}, -- nozzle coords -3.234,	-0.427,	0.6
			elevation   =  0, -- AFB cone elevation
			diameter	 = 0.1, -- AFB cone diameter
			exhaust_length_ab   = 0.1, -- lenght in m
			exhaust_length_ab_K = 0.1, -- AB animation
		}, -- end of [1]
		[2] = 
		{
			pos 		=  {-3.28,	-0.427,	-0.6}, -- nozzle coords -3.234,	-0.427,	-0.6
			elevation   =  0, -- AFB cone elevation
			diameter	 = 0.1, -- AFB cone diameter
			exhaust_length_ab   = 0.1, -- lenght in m
			exhaust_length_ab_K = 0.1, -- AB animation
		}, -- end of [2]
	}, -- end of engines_nozzles
	
	crew_size	 = 2,
	crew_members = 
	{
		[1] = 
		{
			ejection_seat_name = "pilot+ejectionseat",
			drop_canopy_name = "Front_Canopy",
			pos =  {2.831,	-0.60,	0},     --  {2.831,	-0.7,	0}, altitude =2eme parametre
			canopy_pos = {0,	0,	0},
		}, -- end of [1]
		[2] = 
		{
			ejection_seat_name = "pilot+ejectionseat",
			drop_canopy_name = "Rear_Canopy",
			pos =  {1.231,	0,	0},     --  {2.43,	-0.6,	0}, altitude =2eme parametre
			canopy_pos = {0,	0,	0},
		}, -- end of [2]
	}, -- end of crew_members

	fires_pos = 
		{
			[1] = 	{-2.117,	-0.9,	0},           -- {-2.117,	-0.9,	0}, Far tail
			[2] = 	{-1.584,	0.176,	2.693},
			[3] = 	{-1.645,	0.213,	-2.182},
			[4] = 	{-0.82,	0.265,	2.774},     -- Wing center Right? {-0.82,	0.265,	2.774},
			[5] = 	{-0.82,	0.265,	-2.774},    -- Wing center Left?  {-0.82,	0.265,	-2.774},
			[6] = 	{-0.82,	0.255,	4.274},     -- Wing outer Right? {-0.82,	0.255,	4.274},
			[7] = 	{-0.82,	0.255,	-4.274},    -- Wing outer Left?  {-0.82,	0.255,	-4.274},
			[8] = 	{-7.0,	-0.427,	0.6},     -- High Altitude Contrails
			[9] = 	{-7.0,	-0.427,	-0.6},     -- High Altitude Contrails
			[10] = 	{0.304,	-0.748,	0.442},     -- Right Engine? {0.304,	-0.748,	0.442},
			[11] = 	{0.304,	-0.748,	-0.442},    -- Left Engine? {0.304,	-0.748,	-0.442},
		}, -- end of fires_pos
	
	
	-- Countermeasures
	SingleChargeTotal	 	= 60,
	CMDS_Incrementation 	= 15,
	ChaffDefault 			= 30, 
	ChaffChargeSize 		= 1,
	FlareDefault 			= 15, 
	FlareChargeSize 		= 2,
	CMDS_Edit 				= true,
	chaff_flare_dispenser 	= {
		[1] = 
		{
			dir =  {0, -1, -1},
			pos =  {-3, -1, 2},
		}, -- end of [1]
		[2] = 
		{
			dir =  {0, -1, 1},
			pos =  {-3, -1, -2},
		}, -- end of [2]
	}, -- end of chaff_flare_dispenser

	--sensors
	
	detection_range_max		 = 60,
	radar_can_see_ground 	 = true, -- this should be examined (what is this exactly?)
	CanopyGeometry = {
		azimuth   = {-160.0, 160.0}, -- pilot view horizontal (AI)
		elevation = {-50.0, 90.0} -- pilot view vertical (AI)
	},
	Sensors = {
--[[		RWR = "Abstract RWR", -- RWR type
		RADAR = "N-019", -- Radar type
]]	
	},
	HumanRadio = {
		frequency = 127.5,  -- Radio Freq
		editable = true,
		minFrequency = 100.000,
		maxFrequency = 156.000,
		modulation = MODULATION_AM
	},
	
	Failures = {
            { id = 'l_engine',		  label = _('L-ENGINE'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
            { id = 'r_engine', 		  label = _('R-ENGINE'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
	},
	
	Guns = {gun_mount("ADEN", {
			count = 150,  -- 150
			muzzle_pos_connector = "GUN_POINT",
			muzzle_pos 		  = {-0.5, 0, 0},      -- {0, -0.5, -1}
			elevation_initial = 2.000,
			supply_position   = {1, 0, 0},
			effect_arg_number = 350,
			 }
			)
			},
	
	Pylons =     {
        pylon(1, 0, 0,0,0, 
            {
				use_full_connector_position=true,connector = "PYLON_L_OUT",arg = 300,arg_value = -1.0
            },
            {
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}",arg = 300,arg_value = 0.5 }, -- AIM-9M
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}",arg = 300,arg_value = 0.5 }, -- Magic{ CLSID = "{Mk82AIR}",arg = 300,arg_value = 0.5 },
				{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}",arg = 300,arg_value = 0.5 }, -- Mk-82
				{ CLSID = "{LAU-10}",arg = 300,arg_value = 0.5 },                               -- Rocket 
				{ CLSID = "{FC85D2ED-501A-48ce-9863-49D468DDD5FC}",arg = 300,arg_value = 0.5 }, -- 7 rockets practice
				{ CLSID = "{174C6E6D-0C3D-42ff-BCB3-0853CB371F5C}",arg = 300,arg_value = 0.5 }, -- 7 rockets HE
				{ CLSID = "{752B9781-F962-11d5-9190-00A0249B6F00}",arg = 300,arg_value = 0.5 }, -- BLU-107 Durandal
				{ CLSID = "{RPL22_ALPHA}",arg = 304,arg_value = 0.5},
				            }
        ),
        pylon(2, 0, 0,0,0,
            {
				use_full_connector_position=true,connector = "PYLON_L_IN",arg = 301,arg_value = -1.0
            },
            {
				{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}",arg = 301,arg_value = 0.5 }, -- Mk-82
				{ CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}",arg = 301,arg_value = 0.5 }, -- Mk-83
				{ CLSID = "{Mk82AIR}",arg = 301,arg_value = 0.5 },
				{ CLSID = "{752B9781-F962-11d5-9190-00A0249B6F00}",arg = 301,arg_value = 0.5 }, -- BLU-107 Durandal
				{ CLSID = "{CBU-87}",arg = 301,arg_value = 0.5 },
				{ CLSID = "{5335D97A-35A5-4643-9D9B-026C75961E52}",arg = 301,arg_value = 0.5 }, -- CBU-97
				{ CLSID = "{FC85D2ED-501A-48ce-9863-49D468DDD5FC}",arg = 301,arg_value = 0.5 }, -- 7 rockets practice
				{ CLSID = "{174C6E6D-0C3D-42ff-BCB3-0853CB371F5C}",arg = 301,arg_value = 0.5 }, -- 7 rockets HE
				{ CLSID = "{1CA5E00B-D545-4ff9-9B53-5970E292F14D}",arg = 301,arg_value = 0.5 }, -- LAU 131 practice
				{ CLSID = "{69926055-0DA8-4530-9F2F-C86B157EA9F6}",arg = 301,arg_value = 0.5 }, -- LAU 131 HE
				{ CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}",arg = 301,arg_value = 0.5 }, -- mk20
				{ CLSID = "{8B7CADF9-4954-46B3-8CFB-93F2F5B90B03}",arg = 301,arg_value = 0.5 }, -- Harpoon
				{ CLSID = "{08164777-5E9C-4B08-B48E-5AA7AFB246E2}",arg = 301,arg_value = 0.5 }, -- BL 755 fragment
				{ CLSID = "{BRU-42_3*BDU-33}",arg = 301,arg_value = 0.5 }, -- 3 Training bomb
				{ CLSID = "{54F5061E-173F-4dcd-B074-B357AJETRP22}",arg = 301,arg_value = 0.5}, -- Reservoir RP22
				{ CLSID = "{BDU-50LD}",arg = 301,arg_value = 0.5}, --    BDU-50LD
				{ CLSID = "{60CC734F-0AFA-4E2E-82B8-93B941AB11CF}",arg = 301,arg_value = 0.5}, --    MK-82*3
			}
        ),
        pylon(3, 0, 0,0,0,
            {
				use_full_connector_position=false,connector = "SMOKE",arg = 302,arg_value = -1.0
            },
            {
				{ CLSID = "{05544F1A-C39C-466b-BC37-5BD1D52E57BB}" }, --    UPK-23-250 Gun Pod
            }
        ),
		------------ 
		pylon(4, 0, 0,0,0,
            {
				use_full_connector_position=true,connector = "PYLON_R_IN",arg = 303,arg_value = -1.0
			},
            {
				{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}",arg = 303,arg_value = 0.5 }, -- Mk-82
				{ CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}",arg = 303,arg_value = 0.5 }, -- Mk83
				{ CLSID = "{Mk82AIR}",arg = 303,arg_value = 0.5 },
				{ CLSID = "{752B9781-F962-11d5-9190-00A0249B6F00}",arg = 303,arg_value = 0.5 }, -- BLU-107 Durandal
				{ CLSID = "{CBU-87}",arg = 303,arg_value = 0.5 },
				{ CLSID = "{5335D97A-35A5-4643-9D9B-026C75961E52}",arg = 303,arg_value = 0.5 }, -- CBU-97
				{ CLSID = "{FC85D2ED-501A-48ce-9863-49D468DDD5FC}",arg = 303,arg_value = 0.5 }, -- 7 rockets practice
				{ CLSID = "{174C6E6D-0C3D-42ff-BCB3-0853CB371F5C}",arg = 303,arg_value = 0.5 }, -- 7 rockets HE
				{ CLSID = "{1CA5E00B-D545-4ff9-9B53-5970E292F14D}",arg = 303,arg_value = 0.5 }, -- LAU 131 practice
				{ CLSID = "{69926055-0DA8-4530-9F2F-C86B157EA9F6}",arg = 303,arg_value = 0.5 }, -- LAU 131 HE
				{ CLSID = "{ADD3FAE1-EBF6-4EF9-8EFC-B36B5DDF1E6B}",arg = 303,arg_value = 0.5 }, -- mk20
				{ CLSID = "{8B7CADF9-4954-46B3-8CFB-93F2F5B90B03}",arg = 303,arg_value = 0.5 }, -- Harpoon
				{ CLSID = "{08164777-5E9C-4B08-B48E-5AA7AFB246E2}",arg = 303,arg_value = 0.5 }, -- BL 755 fragment
				{ CLSID = "{BRU-42_3*BDU-33}",arg = 303,arg_value = 0.5 }, -- 3 Training bomb
				-- { CLSID = "{Mk82SNAKEYE}",arg = 303,arg_value = 0.5}, --Snakeye Mk82
				{ CLSID = "{BDU-50LD}",arg = 301,arg_value = 0.5}, --    BDU-50LD Training Mk82
				{ CLSID = "{60CC734F-0AFA-4E2E-82B8-93B941AB11CF}",arg = 301,arg_value = 0.5}, --    MK-82*3
            }
		),
		pylon(5, 0, 0,0,0,
            {
				use_full_connector_position=true,connector = "PYLON_R_OUT",arg = 304,arg_value = -1.0
			},
            {
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}",arg = 304,arg_value = 0.5 }, -- AIM-9M
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}",arg = 304,arg_value = 0.5 }, -- Magic
				{ CLSID = "{Mk82AIR}",arg = 304,arg_value = 0.5 },
				{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}",arg = 304,arg_value = 0.5 }, -- Mk-82
				{ CLSID = "{LAU-10}",arg = 304,arg_value = 0.5 },                               -- Rocket 
				{ CLSID = "{FC85D2ED-501A-48ce-9863-49D468DDD5FC}",arg = 304,arg_value = 0.5 }, -- 7 rockets practice
				{ CLSID = "{174C6E6D-0C3D-42ff-BCB3-0853CB371F5C}",arg = 304,arg_value = 0.5 }, -- 7 rockets HE
				{ CLSID = "{752B9781-F962-11d5-9190-00A0249B6F00}",arg = 304,arg_value = 0.5 }, -- BLU-107 Durandal
				{ CLSID = "{RPL22_ALPHA}",arg = 304,arg_value = 0.5},
            }
		),
		
		pylon(6, 0.0, 0, 0, 0,
            { use_full_connector_position=true, connector = "SMOKE_RED", arg = 316, arg_value = -1.0 },
            {
				{ CLSID = "{SMOKE-RED-AJET}", arg_value = 0.1 }, -- Red Smoke
            }
	),
        pylon(7, 0, 0, 0, 0,
            { use_full_connector_position=true, connector = "SMOKE_WHITE", arg = 317, arg_value = -1.0 },
            {
				{ CLSID	= "{SMOKE-WHITE-AJET}", arg_value = 0.1 }, -- White Smoke 
            }
	),
        pylon(8, 0,  0, 0, 0,
            { use_full_connector_position=true, connector = "SMOKE_BLUE", arg = 318, arg_value = -1.0 },
            {
				{ CLSID	= "{SMOKE-BLUE-AJET}", arg_value = 0.1 }, -- Blue Smoke 
            }
        ),

    },
	
	Tasks = {
		aircraft_task(CAP),
        aircraft_task(Escort),
        aircraft_task(GroundAttack),
        aircraft_task(PinpointStrike),
        aircraft_task(CAS),
        aircraft_task(AntishipStrike),
        aircraft_task(Reconnaissance),
    },	
	DefaultTask = aircraft_task(CAP),
	
	SFM_Data = {
		aerodynamics = -- Cx = Cx_0 + Cy^2*B2 +Cy^4*B4
		{
			Cy0			=	0,       -- zero AoA lift coefficient
			Mzalfa		=	10,      -- coefficients for pitch agility 
			Mzalfadt	=	0.77,    -- coefficients for pitch agility 0.8 -- Plus le chiffre est grand moins le pitch est sensible
			kjx			=	3.50,    -- Inertie roulis 2.70
			kjz			=	0.00125, -- Unknown constant
			Czbe		=	-0.013,  -- coefficient, along Z axis (perpendicular), affects yaw, negative value means force orientation in FC coordinate system
			cx_gear		=	0.35,    -- coefficient, drag, gear
			cx_flap		=	0.135,    -- coefficient, drag, full flaps
			cy_flap		=	0.34,    -- coefficient, normal force, lift, flaps 0.28
			cx_brk		=	0.12,    -- coefficient, drag, air breaks 
			table_data  = 
			{	--      M		Cx0		 	Cya			B		 	B4	    	Omxmax		Aldop		Cymax
				[1] = 	{0.0,	0.050,	0.07,	0.042,	0.012,	2.0,	21,	1.2},
				[2] = 	{0.6,	0.060,	0.08,	0.072,	0.12,	4.2,	21,	1.16},
			}, -- end of table_data
			-- M - Mach number
			-- Cx0 - Coefficient, drag, profile, of the airplane
			-- Cya - Normal force coefficient of the wing and body of the aircraft in the normal direction to that of flight. 
			-- Inversely proportional to the available G-loading at any Mach value.
			--(lower the Cya value, higher G available) per 1 degree AOA
			-- B - Polar quad coeff Coeff de traine de profil due  la forme de l'aile et la friction de l'air
			-- B4 - Polar 4th power coeff -- Coeff de traine induite par les vortexs en bout d'aile. 
			-- Si l'AOA augmente, la portance et la traine galement.
			-- Omxmax - roll rate, rad/s
			-- Aldop - Alfadop Max AOA at current M - departure threshold
			-- Cymax - Coefficient, lift, maximum possible (ignores other calculations if current Cy > Cymax)
		},-- end of aerodynamics
		engine = 
		{
			Nmg		=	58, -- RPM at idle
			MinRUD	=	0, -- Min state of the throttle
			MaxRUD	=	1, -- Max state of the throttle
			MaksRUD	=	0.96, -- Military power state of the throttle 1 89
			ForsRUD	=	0.98, -- Afterburner state of the throttle	94
			typeng	=	0,
			-- [[
				-- E_TURBOJET = 0
				-- E_TURBOJET_AB = 1
				-- E_PISTON = 2
				-- E_TURBOPROP = 3
				-- E_TURBOFAN	= 4
				-- E_TURBOSHAFT = 5
			--]]
			
			hMaxEng	=	19, -- Max altitude for safe engine operation in km
			dcx_eng	=	0.015, -- Engine drag coefficient 0.015
			cemax	=	1.24, -- not used for fuel calculation , only for AI routines to check flight time ( fuel calculation algorithm is built in )
			cefor	=	2.56, -- not used for fuel calculation , only for AI routines to check flight time ( fuel calculation algorithm is built in )
			dpdh_m	=	2000, --  altitude coefficient for max thrust 6600
			dpdh_f	=	16200,  --  altitude coefficient for AB thrust
			table_data = 
			{		--   M		Pmax		 Pfor	
				[1] = 	{0.0,	28000,	35000},
				[2] = 	{0.6,	35000,	37000},

				
			}, -- end of table_data
			-- M - Mach number
			-- Pmax - Engine thrust at military power
			-- Pfor - Engine thrust at AFB
		}, -- end of engine
	},
	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	Damage = {
				[1]		= {critical_damage = 5, args = {150}}, -- nose left
				[2]		= {critical_damage = 5, args = {149}}, -- nose right
				[3]		= {critical_damage = 3, args = {296}}, -- cockpit 
				[4]		= {critical_damage = 5, args = {154}}, -- cabin left
				[5]		= {critical_damage = 5, args = {153}}, -- cabin right
				[11]	= {critical_damage = 3, args = {147}}, -- engine l
				[12]	= {critical_damage = 3, args = {148}}, -- engine 2
				[23]	= {critical_damage = 7, args = {223}, deps_cells = {25}}, -- wing out left
				[24]	= {critical_damage = 7, args = {213}, deps_cells = {26}}, -- wing out right 
				[25]	= {critical_damage = 3, args = {226}}, -- eleron left 
				[26]	= {critical_damage = 4, args = {216}}, -- eleron right
				[29]	= {critical_damage = 7, args = {224}, deps_cells = {23, 25, 33, 37}}, -- wing center left 
				[30]	= {critical_damage = 7, args = {214}, deps_cells = {24, 26, 38}}, -- wing center right 
				[33]	= {critical_damage = 4, args = {232}}, -- slat left
				[34]	= {critical_damage = 4, args = {222}}, -- slat right
				[35]	= {critical_damage = 7, args = {225}, deps_cells = {29, 23, 25, 33, 37}}, -- wing in left 
				[36]	= {critical_damage = 7, args = {215}, deps_cells = {30, 24, 26, 34, 38}}, -- wing in right 
				[37]	= {critical_damage = 4, args = {227}}, -- flap in left 
				[38]	= {critical_damage = 3, args = {217}}, -- flap in right 
				[39]	= {critical_damage = 4, args = {242}}, -- fin top left
				[40]	= {critical_damage = 4, args = {242}}, -- fin top right
				[43]	= {critical_damage = 6, args = {243}, deps_cells = {39, 54, 45, 46, 49, 50}}, -- fin bottom left
				[45]	= {critical_damage = 4, args = {235}}, -- stabilizer out left
				[46]	= {critical_damage = 4, args = {233}}, -- stabilizer out right
				[47]	= {critical_damage = 6, args = {236}, deps_cells = {49}}, -- stabilizer in left
				[48]	= {critical_damage = 6, args = {234}, deps_cells = {50}}, -- stabilizer in right
				[49]	= {critical_damage = 3, args = {240}}, -- elevator out left
				[50]	= {critical_damage = 3, args = {238}}, -- elevator out right				
				[54]	= {critical_damage = 3, args = {247}}, -- rudder right
				[55]	= {critical_damage = 7, args = {81}, deps_cells = {43, 54, 45, 46}}, -- tail 				
				[56]	= {critical_damage = 5, args = {158}}, -- tail left
				[57]	= {critical_damage = 5, args = {157}}, -- tail right				
				[59]	= {critical_damage = 5, args = {148}}, -- nose bottom 				
				[82]	= {critical_damage = 5, args = {152}}, -- fuselage bottom
				[83]	= {critical_damage = 2, args = {134}}, -- wheel nose 
				[84]	= {critical_damage = 3, args = {136}}, -- wheel left 
				[85]	= {critical_damage = 3, args = {135}}, -- wheel right 
	},
	
	DamageParts = 
	{  
		[1] = "Alphajet-part-wing-R", -- wing R
		[2] = "Alphajet-part-wing-L", -- wing L
		-- [3] = "Alphajet-part-nose", -- Nose
		-- [4] = "Alphajet-part-tail", -- Tail
	},
	
	lights_data = {                -- {0, 0.894, 0.6} =Green     {0.99, 0.11, 0.3}=Red
	typename = "collection",
	lights = {

	[1] = { typename = "collection", 
			lights = {-- Left Anticollision Light
						-- {typename = "natostrobelight",
						-- connector = "RED_BEACON_L",
						-- color = {0.99, 0.11, 0.3},
						-- period = 1.2,
						-- phase_shift = 0,
						-- argument_1 = 195
						-- },
							
					  --Right Anticollision Light
						-- {typename = "natostrobelight",
						-- connector = "GREEN_BEACON_R",
						-- color = {0, 0.894, 0.6},
						-- period = 1.2,
						-- phase_shift = 0,
						-- argument_1 = 196
						-- },
						-- Vertical Stab Anticollision Light
						{typename = "natostrobelight",
						connector = "RED_BEACON",
						argument = 192,
						color = {0.99, 0.11, 0.3},
						period = 1.2,
						phase_shift = 0,
						},
					}
		},
			 
	[2] = { typename = "collection",
			lights = {-- Landing light
						{typename = "spotlight",
						connector = "MAIN_SPOT_PTR_02",
						argument = 209, 
						dir_correction = {elevation = math.rad(-8)}},
						-- Taxi light
						{typename = "spotlight",
						connector = "MAIN_SPOT_PTR_01",
						argument = 208,
						dir_correction = {elevation = math.rad(1)}},
					 }
		  },
    [3]	= {	typename = "collection",
			lights = {-- Left Position Light (Red)
			            {typename = "omnilight",
						connector = "BANO_1",
						color = {0.99, 0.11, 0.3},
						pos_correction  = {0, 0, -0.2},
						{typename  = "argumentlight", argument = 190},
						},
					  -- Right Position Light (Green)
						{typename = "omnilight",
						connector = "BANO_2",
						color = {0, 0.894, 0.6},
						pos_correction = {0, 0, 0.2},
						},
						{typename  = "argumentlight", argument = 191},
					  -- Tail Position Light (White)
						{typename = "omnilight",
						connector = "BANO_0_BACK",
						color = {1, 1, 1},
						pos_correction  = {0, 0, 0},
						},
						{typename  = "argumentlight", argument = 203},
					 }
		  },
   
	[4] = {	typename = "collection",
				lights = {{typename = "collection",
						   lights = {
									 -- Top Formation Light (Orange)
									 {typename = "omnilight",
									  connector = "BANO_0_TOP",
									  color = {0.99, 0.11, 0.3},
									 },
									 {typename  = "argumentlight", argument = 202},
									 -- Bottom Formation Light (orange)
									 {typename = "omnilight",
									  connector = "BANO_0_BOTTOM",
									  color = {0.99, 0.11, 0.3},
									 },
									 {typename  = "argumentlight", argument = 201},
									}
							},
							-- Electroluminescent formation lights
							{typename  = "argumentlight", argument = 200},
						 }
									},
	[5]	= {typename = "collection",
			lights = {
						{typename = "collection",
						lights = {{
								-- Right Nacelle Floodlight
								typename = "spotlight",
								position  = {0.5, 1.2, 0},
								color = {1.0, 1.0, 1.0},
								intensity_max = 6.0,
								angle_max = 0.45,
								direction = {azimuth = math.rad(150), elevation = math.rad(5)},
								dont_change_color = false,
								angle_change_rate = 0
							   },
							   {
								-- Left Nacelle Floodlight
								typename = "spotlight",
								position  = {0.5, 1.2, 0},
								color = {1.0, 1.0, 1.0},
								intensity_max = 6.0,
								angle_max = 0.45,
								direction = {azimuth = math.rad(-150), elevation = math.rad(5)},
								dont_change_color = false,
								angle_change_rate = 0
							   },
							   {typename  = "argumentlight", argument = 212},
						},
					},
					{typename = "collection",
						lights = {{
								-- Left Nose Floodlight
								typename  = "spotlight",
								position  = {0, -0.3, -5.80},
								color = {1.0, 1.0, 1.0},
								intensity_max = 6.0,
								angle_max = 0.45,
								direction = {azimuth = math.rad(45)},
								argument = 211,
								dont_change_color = false,
								angle_change_rate = 0
							   },
							   {
								-- Right Nose Floodlight
								typename = "spotlight",
								position  = {0, -0.3, 5.80},
								color = {1.0, 1.0, 1.0},
								intensity_max = 6.0,
								angle_max = 0.45,
								direction = {azimuth = math.rad(-45)},
								argument = 210,
								dont_change_color = false,
								angle_change_rate = 0
							   }
						}
					},
					-- UARRSI light
					{
						typename = "omnilight", position  = {6.5, 0.4, 0}, color = {1, 1, 1}
					}
				  },
			}
		}
	},
}

add_aircraft(Alphajet)


declare_loadout(
	{
		category		= CAT_FUEL_TANKS,
		CLSID			= "{RPL22_ALPHA}",
		attribute		=  {wsType_Air,wsType_Free_Fall,wsType_FuelTank,WSTYPE_PLACEHOLDER},
		Picture			= "PTB.png",
		displayName		= _("Fuel Tank RPL22 310 Liters"),
		Weight_Empty	= 40,
		Weight			= 40 +  0.81 * 310,
		Cx_pil			= 0.001313754,
		shape_table_data = 
		{
			{
				name 	= "RPL22_ALPHA",
				file	= "RPL22_ALPHA";
				life	= 1;
				fire	= { 0, 1};
				username	= "RPL22_ALPHA";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Elements	= 
		{
			{
				ShapeName	= "RPL22_ALPHA",
			}, 
		}, 
	}
) 
--------------------------------------------------SMOKE SYSTEM-----------------------------------------------------------------
declare_loadout(
	{
		category		= CAT_PODS,
		CLSID			= "{SMOKE-WHITE-AJET}",
		Picture	= "white_color.png",
		PictureBlendColor='0xffffffff',	
		displayName		= _("Alphajet White Smoke"),
		
		attribute	=	{4,	15,	50,	WSTYPE_PLACEHOLDER},			
		Smoke  = {
			alpha = 180,
			r  = 255,
			g  = 255,
			b  = 255,
			dx = -1.455,
			dy = -0.062
		},
		
		shape_table_data = 
		{
			{
				name 	= "pod-fumi1",
				file	= "pod_fumi";
				life	= 1;
				fire	= { 0, 1};
				username	= "SMOKE_WHITE_Alphajet";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Weight			= 1,
		Count 			= 1,
		Cx_pil			= 0.001313754,
		Elements		={{
								ShapeName	=	"pod_fumi", 
								Position	=	{0,0,0}, 
								DrawArgs	=	{[3] = {3,0.1}}
							}}
	}
)

declare_loadout(
	{
		category		= CAT_PODS,
		CLSID			= "{SMOKE-RED-AJET}",
		Picture	= "red_color.png",
		PictureBlendColor='0xff0000ff',			
		displayName		= _("Alphajet Red Smoke"),
		
		attribute	=	{4,	15,	50,	WSTYPE_PLACEHOLDER},			
		Smoke  = {
			alpha = 180,
			r  = 245,
			g  = 40,
			b  = 40,
			dx = -1.455,
			dy = -0.062
		},
		
		shape_table_data = 
		{
			{
				name 	= "pod-fumi2",
				file	= "pod_fumi";
				life	= 1;
				fire	= { 0, 1};
				username	= "SMOKE_RED_Alphajet";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Weight			= 1,
		Count 			= 1,
		Cx_pil			= 0.001313754,
		Elements		={{
								ShapeName	=	"pod_fumi", 
								Position	=	{0,0,0}, 
								DrawArgs	=	{[3] = {3,0.1}}
							}}
	}
)

declare_loadout(
	{
		category		= CAT_PODS,
		CLSID			= "{SMOKE-BLUE-AJET}",
		Picture	= "blue_color.png",
		PictureBlendColor='0x0000ffff',			
		displayName		= _("Alphajet Blue Smoke"),
		
		attribute	=	{4,	15,	50,	WSTYPE_PLACEHOLDER},			
		Smoke  = {
			alpha = 180,
			r  = 0,
			g  = 103,
			b  = 203,
			dx = -1.455,
			dy = -0.062
		},
		
		shape_table_data = 
		{
			{
				name 	= "pod-fumi3",
				file	= "pod_fumi";
				life	= 1;
				fire	= { 0, 1};
				username	= "SMOKE_BLUE_Alphajet";
				index	= WSTYPE_PLACEHOLDER;
			},
		},
		Weight			= 1,
		Count 			= 1,
		Cx_pil			= 0.001313754,
		Elements		={{
								ShapeName	=	"pod_fumi", 
								Position	=	{0,0,0}, 
								DrawArgs	=	{[3] = {3,0.1}}
							}}
	}
)